/**
 * HTTP functionality module
 */

// Export types and models
export * from './models/http-types.js';

// Export submodules
export * from './port80/index.js';
export * from './router/index.js';
export * from './redirects/index.js';

// Import the components we need for the namespace
import { Port80Handler } from './port80/port80-handler.js';
import { ChallengeResponder } from './port80/challenge-responder.js';

// Convenience namespace exports
export const Http = {
  Port80: {
    Handler: Port80Handler,
    ChallengeResponder: ChallengeResponder
  }
};
